org.jboss.netty.handler.codec.http

## Interface HttpRequest

- All Superinterfaces:
    HttpMessage
  All Known Implementing Classes:
    DefaultHttpRequest

      public interface HttpRequest
      extends HttpMessage

  An HTTP request.

  ### Accessing Query Parameters and Cookie

  Unlike the Servlet API, a query string is constructed and decomposed by `QueryStringEncoder` and `QueryStringDecoder`. `Cookie` support is also provided separately via `CookieEncoder` and `CookieDecoder`.

  See Also:
    `HttpResponse`, `CookieEncoder`, `CookieDecoder`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpMethod` | `getMethod()` Returns the method of this request.
    `String` | `getUri()` Returns the URI (or path) of this request.
    `void` | `setMethod(HttpMethod method)` Sets the method of this request.
    `void` | `setUri(String uri)` Sets the URI (or path) of this request.

    - ### Methods inherited from interface org.jboss.netty.handler.codec.http.HttpMessage

      `addHeader, clearHeaders, containsHeader, getContent, getContentLength, getContentLength, getHeader, getHeaderNames, getHeaders, getHeaders, getProtocolVersion, isChunked, isKeepAlive, removeHeader, setChunked, setContent, setHeader, setHeader, setProtocolVersion`

- - ### Method Detail

    - #### getMethod

          HttpMethod getMethod()

      Returns the method of this request.

    - #### setMethod

          void setMethod(HttpMethod method)

      Sets the method of this request.

    - #### getUri

          String getUri()

      Returns the URI (or path) of this request.

    - #### setUri

          void setUri(String uri)

      Sets the URI (or path) of this request.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.